Merchant Center dönüşüm kaynakları, Merchant Center hesabınızda ücretsiz listelemelerden ve web sitenizden elde edilen dönüşüm verilerini görüntülemenize olanak tanır. Merchant API, Merchant Center hesabınızın dönüşüm kaynaklarını yönetmenize olanak tanır. Daha fazla bilgi için Dönüşüm kaynaklarını yönetme başlıklı makaleyi inceleyin.
Bu sayfada, dönüşüm kaynakları yönetimini Content API'den Merchant API'ye nasıl taşıyabileceğiniz açıklanmaktadır.
İstekler
Dönüşüm kaynakları istekleri için Content API for Shopping ile Merchant Conversion Sources API'nin karşılaştırmasını aşağıda bulabilirsiniz:
| Content API | Merchant API | |
|---|---|---|
| URL | GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} |
GET https://merchantapi.googleapis.com/conversions/v1/{NAME} |
| Tanımlayıcılar | {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} |
{NAME} |
Yöntemler
Conversion Sources API'deki dönüşüm kaynağı yöntemlerinde yapılan değişiklikler şunlardır:
| Yöntem | Content API for Shopping'deki URL | Merchant API'de URL | Content API for Shopping'deki tanımlayıcılar | Merchant API'deki tanımlayıcılar | Açıklama |
create |
POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources |
POST https://merchantapi.googleapis.com/conversions/v1/accounts/{PARENT}/conversionSources |
{MERCHANT_ID} | {PARENT} | Merchant API'de propertyName, property olarak adlandırılır. |
| update |
PATCH https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}
|
PATCH https://merchantapi.googleapis.com/conversions/v1/accounts/{CONVERSIONSOURCE_NAME}
|
{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}
|
{CONVERSIONSOURCE_NAME} |
Merchant API'de destinationId, destination olarak adlandırılır.
|
delete
|
DELETE https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}
|
DELETE https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} |
{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} |
{NAME} | Merchant API'de attributionLookbackWindowInDays, attributionLookbackWindowDays olarak adlandırılır.Merchant API'de includeInReporting, report olarak adlandırılır. |
undelete |
POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}:undelete
|
POST https://merchantapi.googleapis.com/conversions/v1/accounts/{name}:undelete
|
{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} |
{NAME} | Merchant API'de URL ve tanımlayıcılar farklıdır. Dönüşüm Kaynakları API'si, Empty yerine ConversionSource döndürür.
|
get
|
GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}
|
GET https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME}
|
{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}
|
{NAME} | Merchant API'de URL ve tanımlayıcılar farklıdır. |
list
|
GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources
|
GET https://merchantapi.googleapis.com/conversions/v1/{PARENT}/conversionSources
|
{MERCHANT_ID} | {PARENT} | Merchant API'de URL ve tanımlayıcılar farklıdır. |
Kaynaklar
Aşağıdaki tabloda, Conversion Sources API'deki dönüşüm kaynakları kaynaklarında yapılan değişiklikler belirtilmiştir:
| Content API for Shopping | Merchant API | Açıklama |
googleAnalyticsLink: {
|
googleAnalyticsLink: {
|
Merchant API'de propertyName, property olarak adlandırılır.
|
merchantCenterDestination: {
|
merchantCenterDestination: {
|
Merchant API'de destinationId, destination olarak adlandırılır.
|
attributionSettings: {
|
attributionSettings: {
|
Merchant API'de attributionLookbackWindowInDays, attributionLookbackWindowDays olarak adlandırılır.
Merchant API'de |